## dicetv

dicetv

## Properties

gint | square-bits | Read / Write

## Types and Values

struct | GstDiceTV

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseTransform
                        ╰── GstVideoFilter
                            ╰── GstDiceTV

## Description

DiceTV 'dices' the screen up into many small squares, each defaulting to a size of 16 pixels by 16 pixels.. Each square is rotated randomly in one of four directions: up (no change), down (180 degrees, or upside down), right (90 degrees clockwise), or left (90 degrees counterclockwise). The direction of each square normally remains consistent between each frame.

### Example launch line

    1

    gst-launch-1.0 -v videotestsrc ! dicetv ! videoconvert ! autovideosink

This pipeline shows the effect of dicetv on a test stream.

## Synopsis

### Element Information

plugin | effectv
author | Wim Taymans <wim.taymans@gmail.be>
class | Filter/Effect/Video

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-raw, format=(string){ RGBx, xRGB, BGRx, xBGR }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

name | src
direction | source
presence | always
details | video/x-raw, format=(string){ RGBx, xRGB, BGRx, xBGR }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

## Functions

## Types and Values

### struct GstDiceTV

    struct GstDiceTV;

## Property Details

### The `“square-bits”` property

      “square-bits”              gint

The size of the Squares.

Owner: GstDiceTV

Flags: Read / Write

Allowed values: [0,5]

Default value: 4